Last Comment Bug 617661 - Make arrow panels work in Modern
: Make arrow panels work in Modern
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Themes (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b2
Assigned To: neil@parkwaycc.co.uk
:
:
Mentors:
Depends on: 554937
Blocks: 654005
  Show dependency treegraph
 
Reported: 2010-12-08 11:21 PST by Robert Kaiser
Modified: 2011-05-01 11:04 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch (5.03 KB, patch)
2010-12-31 12:45 PST, neil@parkwaycc.co.uk
stefanh: review+
Details | Diff | Splinter Review
Drop popup support from Modern (1.33 KB, patch)
2011-01-01 15:47 PST, neil@parkwaycc.co.uk
stefanh: review+
Details | Diff | Splinter Review

Description Robert Kaiser 2010-12-08 11:21:38 PST
Bug 554937 implemented arrow panels, we need to support those in Modern as well.
Comment 1 neil@parkwaycc.co.uk 2010-12-31 12:45:12 PST
Created attachment 500548 [details] [diff] [review]
Proposed patch

This also turns doorhangers into arrow panels (Firefox bug 554937).
Comment 2 neil@parkwaycc.co.uk 2011-01-01 15:47:14 PST
Created attachment 500623 [details] [diff] [review]
Drop popup support from Modern

As pointed out on IRC, Modern's popup support means that doorhanger notification options don't display properly. This fixes that.
Comment 3 Stefan [:stefanh] 2011-01-02 05:59:37 PST
Comment on attachment 500548 [details] [diff] [review]
Proposed patch

The menu button in the notification-popup looks a bit odd to me, but I guess that's how it should look? Otherwise we could add some notification-specific styling somehwhere (in another bug). I would add some margin to the .panel-inner-arrowcontent. But, as you said on irc - there doesn't seem to be any on windows either, so it's probably just me ;-)
Comment 4 neil@parkwaycc.co.uk 2011-01-02 08:58:49 PST
Comment on attachment 500548 [details] [diff] [review]
Proposed patch

>diff --git a/suite/browser/navigator.xul b/suite/browser/navigator.xul
>--- a/suite/browser/navigator.xul
>+++ b/suite/browser/navigator.xul
>@@ -152,39 +152,39 @@
My patch editing fu failed me. This should have been @@ -152,17 +152,17 @@
Comment 5 neil@parkwaycc.co.uk 2011-01-02 09:01:28 PST
Comment on attachment 500623 [details] [diff] [review]
Drop popup support from Modern

Pushed changeset 139af7ebc84d to comm-central.
Comment 6 neil@parkwaycc.co.uk 2011-01-02 09:01:48 PST
Pushed changeset ad7a388b7cd8 to comm-central.

Note You need to log in before you can comment on or make changes to this bug.